[Solved] Some wizards receive defective JRE error

Issues with installing under all Linux Distributions

[Solved] Some wizards receive defective JRE error

Postby dm2112 » Mon May 05, 2008 9:44 pm

I am using OOo 2.4.0 (openoffice.org-core 1:2.4.0-3ubuntu6) on Ubuntu 8.04. I have two Java 1.5 JREs installed on a Dell Inspiron E1505:

gij (GNU libgcj) version 4.2.3 (Ubuntu 4.2.3-2ubuntu6), and
Sun Java 1.5.0_15.

Both JREs appear in the Java section of the Tools > Options > OOo > Java options. I also have both openoffice.org-java-common and openoffice.org-gcj libraries installed. No matter which JRE is selected in the Options > Java list, the Letter, Fax, Agenda, and Web Page wizards receive the following error:

"OpenOffice.org requires a Java runtime environment (JRE) to perform this task. The selected JRE is defective."

Since the other wizards work, and so does Eclipse, I don't think the JREs are actually defective. I would like to get the wizards listed above working. Can someone please help me? Thank you in advance for any help you can provide.
Last edited by dm2112 on Tue May 06, 2008 4:18 pm, edited 1 time in total.
dm2112
 
Posts: 3
Joined: Mon May 05, 2008 9:26 pm

Re: Some wizards receive defective JRE error

Postby Hagar Delest » Mon May 05, 2008 11:46 pm

Close OOo and delete the ~/.openoffice.org2/user/config/javasettings_Linux_x86.xml file.

Thanks to add '[Solved]' at beginning of your first post title (edit button) if your issue has been fixed.

NB: moved the thread to the Linux forum.
AOO 4.0.1 on Windows 7 and Xubuntu 13.10 (Saucy Salamander)
User avatar
Hagar Delest
Moderator
 
Posts: 25071
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Some wizards receive defective JRE error

Postby mojohn » Tue May 06, 2008 3:29 am

Hagar, I'm running OOo 2.4 on Hardy. I show the availability of two jre's - Sun's 1.6.0_05 and Free Software Foundation 1.5.0. However, when I select the Sun jre and close the dialog, my selection never "sticks". When I open the dialog again, nothing is selected. I've tried it several times, even closing and re-opening OOo, to no avail.

I attempted to follow your instructions to dm2112 to delete javasettings_Linux_x86.xml, but I do not have that file on my system. Do you have any other suggestions?

Thanks,

mojohn
OOo 3.1.X on Ubuntu 9.10
mojohn
 
Posts: 18
Joined: Sat Feb 09, 2008 1:50 am
Location: The Show-me State

Re: Some wizards receive defective JRE error

Postby Hagar Delest » Tue May 06, 2008 8:32 am

Either try to rename your OOo user profile (~/.openoffice.org2) or see here if that applies for you: [Solved] Kinda, Open Office won't detect Java or [Issue + workarounds] OOo 2.4 and Java.
AOO 4.0.1 on Windows 7 and Xubuntu 13.10 (Saucy Salamander)
User avatar
Hagar Delest
Moderator
 
Posts: 25071
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Some wizards receive defective JRE error

Postby dm2112 » Tue May 06, 2008 4:17 pm

That worked. Thank you so much, Hagar, you rock!
dm2112
 
Posts: 3
Joined: Mon May 05, 2008 9:26 pm

Re: [Solved] Some wizards receive defective JRE error

Postby tdmoore » Fri May 09, 2008 6:51 am

After reading these posts my hopes were high, but unfortunately they did not work for me unless I missed something. Kinda new to Linux.

JRE 6 is loaded and comes up as an option in tools>options>java, but does not pin to any of my apps inside OOo. All were loaded separately as I believe these posts tried to outline.

Running Ubuntu 8.04 Hardy Heron. I also run OOo on Windows for work (my whole team does 40 staff, no issues there with 2.4) so would like to get this resolved.

Hope someone can help me out. Thanks in advance!
Thanks in advance for your assistance!

TDM
OOo 3.1.X on Ubuntu 8.x + Windows XP
tdmoore
 
Posts: 10
Joined: Fri Dec 07, 2007 6:02 am

Re: [Solved] Some wizards receive defective JRE error

Postby Hagar Delest » Fri May 09, 2008 10:06 am

tdmoore wrote:All were loaded separately as I believe these posts tried to outline.

What do you mean exactly?

Have you tried to install the official (Sun's) version?
AOO 4.0.1 on Windows 7 and Xubuntu 13.10 (Saucy Salamander)
User avatar
Hagar Delest
Moderator
 
Posts: 25071
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: [Solved] Some wizards receive defective JRE error

Postby panorack » Wed Jun 11, 2008 3:42 pm

I originally posted under the thread, 'Openoffice won't detect Java'. Just to say a big thanks to Hagar de l'Est for redirecting me to this continuation and for providing the solution. Deleting the file worked and I am able to access my db's successfully.

Many thanks Hagar de l'Est for your expertise and your dedication to helping us lesser mortals.
OOo 2.4.X on Ubuntu 8.x
panorack
 
Posts: 2
Joined: Tue Jun 10, 2008 10:33 pm

Re: [Solved] Some wizards receive defective JRE error

Postby joneall » Tue Jun 30, 2009 9:40 am

I am running Kubuntu Jaunty 9.04, altho to register I was obliged to say Ubuntu 8.04, as my system is not on the list.

I have the same problem, i.e., the first time I start Base and select a wizard to install a DB, it says Java is defective. Yet, the same Java works perfectly well for JAlbum, so I do not think it is defective.

$ java -version
java version "1.6.0_13"
Java(TM) SE Runtime Environment (build 1.6.0_13-b03)
Java HotSpot(TM) Client VM (build 11.3-b02, mixed mode, sharing)

$ dpkg -l sun-java6-jre
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==========================-==========================-====================================================================
ii sun-java6-jre 6-13-1 Sun Java(TM) Runtime Environment (JRE) 6 (architecture independent f


$ dpkg -l openoffice.org
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==========================-==========================-====================================================================
ii openoffice.org 1:3.0.1-9ubuntu3 full-featured office productivity suite


So what is going on? How do I get Base to work? Does OO have an odd or specific idea about what constitutes a "defective" jre? I should say that I installed Base some time after installing the standard Open Office software. Since then, I installed some more in Synaptic manager. Am I condemned to uninstall and reinstall all of Open Office. :(

Thanks in advance.
OOo 2.3.X on Ubuntu 8.x
joneall
 
Posts: 1
Joined: Tue Jun 30, 2009 9:17 am

Re: [Solved] Some wizards receive defective JRE error

Postby Hagar Delest » Tue Jun 30, 2009 9:07 pm

Had you seen a JRE selected in Tools>Options>OOo>Java?
Do you run a 32bit version of Java if you run a 32bit version of OOo? or same with 64bit? It must be the same IIRC.

Else, try to reset your OOo user profile but don't transfer your personal data during the welcome process (if you had 2.x before), configuration files from the former version might corrupt the new profile.

You can also try the official version: [Ubuntu] Installing OOo on Debian and Co.
AOO 4.0.1 on Windows 7 and Xubuntu 13.10 (Saucy Salamander)
User avatar
Hagar Delest
Moderator
 
Posts: 25071
Joined: Sun Oct 07, 2007 9:07 pm
Location: France


Return to Linux

Who is online

Users browsing this forum: No registered users and 6 guests